Subject: Re: [rohc] how to send uncompressed SIP request over TCP?

From: Carrie Zhang <[email-masked]>
Date: Wed, 04 Oct 2006 13:02:43 +0800

Hi experts,

Could you please help to answer my question below?

Regards,
Carrie

Carrie Zhang wrote:

> Hi experts,
>
> When the client needs to send uncompressed SIP request over TCP for
> some reasons, should the comp=sigcomp be included in topmost Via header?
>
> If the comp=sigcomp is included, then the server will send compressed
> SIP response in the same TCP connection (RFC3261, the same TCP
> connection should be used within one transaction) which violates the
> following statement in "draft-ietf-rohc-sigcomp-sip-02.txt"  that
> "Applications MUST NOT mix SIP messages and SigComp messages
> on a single TCP connection."
>
> We are considering the following rules for clients to address this:
> 1) if client wants to receive compressed SIP response, it can include
> comp=sigcomp in the topmost Via header in the SIP request, but the
> client MUST use the well-known shim header mechanism to send the
> uncompressed SIP request, otherwise
> 2) client should not include comp=sigcomp in the topmost Via header in
> the SIP request if it does not use shim header to send uncompressed
> message, so that server won't mix the compressed SigComp response
> and uncompressed SIP request in a signal TCP connection.
>
> Does this sound reasonable? Any suggestions? Is there any plan to add
> some statement in "draft-ietf-rohc-sigcomp-sip-02.txt" about this?
>
> Regards,
> Carrie
>
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
>

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc